## neutron 2014.2.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=0.6,!=0.7,<1.0

Paste<=1.7.5.1
PasteDeploy>=1.5.0,<=1.5.2
Routes>=1.12.3,!=2.0,<=2.1
anyjson>=0.3.3,<=0.3.3
argparse
Babel>=1.3,<=1.3
eventlet>=0.15.1,<=0.15.2
greenlet>=0.3.2,<=0.4.2
httplib2>=0.7.5,<=0.9
requests>=2.1.0,!=2.4.0,<=2.2.1
iso8601>=0.1.9,<=0.1.10
jsonrpclib<=0.1.3
Jinja2<=2.7.2
keystonemiddleware>=1.0.0,<1.4.0
netaddr>=0.7.12,<=0.7.13
python-neutronclient>=2.3.6,<2.4.0
SQLAlchemy>=0.8.4,<=0.9.99,!=0.9.0,!=0.9.1,!=0.9.2,!=0.9.3,!=0.9.4,!=0.9.5,!=0.9.6
WebOb>=1.2.3,<=1.3.1
python-keystoneclient>=0.10.0,<=1.1.0
alembic>=0.6.4,<=0.7.4
six>=1.7.0,<=1.9.0
stevedore>=1.0.0,<=1.2.0 # Apache-2.0
oslo.config>=1.4.0,<=1.6.0 # Apache-2.0
oslo.db>=1.0.0,<1.1  # Apache-2.0
oslo.messaging>=1.4.0,<1.5.0
oslo.rootwrap>=1.3.0,<=1.5.0

python-novaclient>=2.18.0,<=2.20.0
