=== debian/changelog ===
neutron (1:2014.2.3-0ubuntu2) utopic; urgency=medium

  * d/*.logrotate,neutron-common.logrotate: Backport from vivid,
    Move to single logrotate configuration. (LP: #1463844).

 -- Jorge Niedbalski <jorge.niedbalski@canonical.com>  Wed, 10 Jun 2015 10:29:50 -0500

neutron (1:2014.2.3-0ubuntu1) utopic; urgency=medium

  * Resynchronize with stable/juno (dbeaa70) (LP: #1443429):
    - [fe59efd] Don't eagerly load ranges from IPAllocationPool
    - [9e01647] lb-agent: use 'replace' instead of 'add' with 'bridge fdb'
    - [70786c6] Refactor logging in loop to only log debug messages once
    - [ddbad01] Deal with PEP-0476 certificate chaining checking
    - [3abee3b] ofagent: Fix port_dead
    - [48017f2] CSCO:Tenants not to access unshared n/w profiles
    - [61a5506] Use ryu.cfg.CONF for options from Ryu
    - [d329c22] attributes: Additional IP address validation
    - [5cb7a20] Default route missing for IPv6 subnets in HA Router
    - [7b0869b] Make del_fdb_flow() idempotent
    - [ff50c30] Hyper-V: Fixes security groups issue
    - [bd5f47c] Use DEVICE_OWNER_DVR_INTERFACE in NSX-mh plugin
    - [4856743] Make listing security groups faster
    - [e4aa290] Improve exception handling in _process_router_update()
    - [7ae879d] Correctly mock-out 'ip route...' calls in IPv6 test
    - [792aa82] Use HTTP BASIC AUTH exclusively (no longer use JSESSIONID)
    - [1fa38eb] Search in /sys/class/net for network devices
    - [c136f4f] Catch PortNotFound and SubnetNotFound during network_delete
    - [a52f19f] Setup br-tun in secure fail mode to avoid broadcast storms
    - [e22975a] Make sure we don't introduce oslo_* imports during backports
    - [a80999e] Configure IPv6 LLADDR only on master L3 HA instance
    - [99c6796] SIGHUP keepalived if L3 agent restarts
    - [edf0aab] Fix IPv6 RA security group rule for DVR
    - [9bb7eb5] Don't crash when adding duplicate gre allocation
    - [ed799e3] Pass '--dhcp-authoritative' option to dnsmasq
    - [41bfc2f] Fix extra-dhcp-opt on stateless dhcpv6 subnet
    - [7cd3d0c] Decrease rpc timeout after agent receives SIGTERM
    - [496d7a8] Fix floating-ips in error state in dvr mode
    - [6e9c760] Make prevent_l3_port_deletion handle missing port
    - [a861b88] Ignore 404 error and lower a warning log to info

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 21 Apr 2015 09:30:40 -0400

neutron (1:2014.2.2-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (615e2d6) (LP: #1418695):
    - [3f73028] Configures RADVD to send managed flag in RA for DHCP_STATEFUL
    - [57bbce1] Arista L3 Ops is success if it is successful on one peer
    - [c1e2941] Fixes blocking of VRF config in Arista L3 Plugin
    - [81f1a7b] Do not duplicate message consumers
    - [fbabf07] If router is HA, get current_cidrs from keepalived object
    - [3332d4f] Fix AttributeError during startup of ovs agent in DVR mode
    - [755f2ad] Fix IP allocation for multiple slaac subnets
    - [e27f00d] Fix IPv6 Subnet Slaac Check
    - [88b73e6] Catch StaleDataError in update_device_down
    - [6d9dd88] Speed up initial L3 full sync time
    - [dbc630a] Make L3 HA VIPs ordering consistent in keepalived.conf
    - [82bf4af] Specify prefix length for IPv6 subnets
    - [42630f9] Fix for KeyError: 'gw_port_host' on l3_agent
    - [7c82512] NSX: synchronize floating IP operations
    - [5531d6d] NSX: Remove logic for creating chained logical switches
    - [b80a68e] [apic ml2] Bind ports regardless of the owner
    - [175e869] Reset policies after RESOURCE_ATTRIBUTE_MAP is populated
    - [66a91dd] Use stop() method on MessageHandlingServer
    - [097607a] Issue warning when running DHCP agent with dnsmasq < 2.67
    - [560ef81] Fix neutron hang for IPv6 allocation pool update
    - [f979dd6] Fix for FIPs duplicated across hosts for DVR
    - [327e325] ipv6: set OtherConfig flag for DHCPv6 stateless subnets
    - [6c490a9] radvd: pass -m syslog to avoid thread lock for radvd 2.0+
    - [a89ae1b] Eventlet green threads not released back to pool
    - [c6ef4e8] return the dict of port when no sec-group involved
    - [ab8f277] Moves the HA resource creations outside of transaction
    - [b776d19] Delete FIP namespace when last VM is deleted
    - [81ecf5b] Fix race condition on processing DVR floating IPs
    - [b297604] Fix a race condition adding a security group rule
    - [2f97180] Auto allocate gateway_ip even for SLAAC subnets
    - [6068320] Fix enable_metadata_network flag
    - [c96217a] Teach DHCP Agent about DVR router interfaces
    - [615e2d6] BSN: Optimistic locking strategy for consistency
  * d/control: Bump minimum python-eventlet to get socket_timeout support.
    (LP: #1419117).

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 09 Feb 2015 15:36:16 -0500

neutron (1:2014.2.1-0ubuntu1) utopic; urgency=medium

  [ Corey Bryant ]
  * Resynchronize with stable/juno (330ca81) (LP: #1398952):
    - [209160b] Fix hostname validation for nameservers
    - [d7ee2ff] Alter execute_alembic_command() to not assume all commands
    - [3e1d3a7] Prevent an iteration through ports on IPv6 slaac
    - [93f2536] Fix handling of CIDR in allowed address pairs
    - [8b5c08b] Fix metadata proxy start problem for v6-v4 network
    - [c00b4b3] Convert all incoming protocol numbers to string
    - [56b0029] linuxbridge-agent: make vxlan unicast check more efficent
    - [63b4337] Subnet delete for IPv6 SLAAC should not require prior port disassoc
    - [d09ba29] Fix context.elevated
    - [467a449] Drop and recreate FK if adding new PK to routerl3bindings
    - [87311b0] BSN: include missing data in floating IP call
    - [ad6fefc] Fix hostname regex pattern
    - [ba647ca] BSN: Set inconsistency record on delete failure
    - [c7954ab] fix event_send for re-assign floating ip
    - [b0d3e74] Fix KeyError in dhcp_rpc when plugin.port_update raise exception
    - [4e7b97e] rootwrap config files reference deleted quantum binaries

