## neutron 2014.2.4

=== debian/changelog ===
neutron (1:2014.2.4-0ubuntu1~cloud1) trusty-juno; urgency=medium

  * d/rules: Prevent dh_python2 from guessing dependencies.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 23 Nov 2015 16:51:57 -0500

neutron (1:2014.2.4-0ubuntu1~cloud0) trusty-juno; urgency=medium

  * Resynchronize with stable/juno (6687864) (LP: #1518323):
    - [b1263ff] Resubmit of "Remove bridge cleanup call" fix
    - [fb58b4b] Fix inconsistency in DHCPv6 hosts and options generation
    - [0aec542] Do not log an error when deleting a linuxbridge does not exist
    - [c9fb192] usage_audit: Fix usage_audit to work with ML2
    - [58904f3] Process user iptables rules before INVALID
    - [f0bb982] Wrap ML2 delete_port with db retry decorator
    - [d567d57] Fix ipset can't be destroyed when last rule is deleted
    - [1b73fbd] Add ARP spoofing protection for LinuxBridge agent
    - [2fb89ce] ovs: don't use ARP responder for IPv6 addresses
    - [ebb0c54] Stop device_owner from being set to 'network:*'
    - [2f344ee] Fix a wrong condition for the _purge_metering_info function
    - [5bc885d] NSX-mh: perform appropriate pre-delete checks
    - [429bb32] NSX-mh: use router_distributed flag
    - [6410e01] Remove bridge cleanup call
    - [1baa2d7] NSX-mh: Failover controller connections on socket failures
    - [34f2d65] Modify ipset functional tests to pass on older machines
    - [0e258b0] NSX-mh: Prevent failures on router delete
    - [15cb18b] Allow to request metadata proxy only with redirection
    - [580f6c6] Allow IptablesManager to manage mangle table
    - [98b6cd8] Adds garp_master_repeat and garp_master_refresh to keepalived.conf
    - [e0486f3] Add support for dhcp extra opt
    - [9cfcd32] Lower log level of errors caused by user requests to INFO
    - [73be7e7] MH: Limit enabled versions for agentless mode
    - [17c6bc5] Arista ML2 driver should ignore non-vlan networks
    - [07d3d44] Randomize tunnel id query to avoid contention
    - [4b8db7b] In Arista ML2 driver Reconfigure VLAN on VM migration
    - [af0edbe] Hyper-V: Fix for ICMP rule deletion
    - [f548775] Allow to request metadata proxy only from internal interfaces
    - [ab3046d] Fix tenant-id in Arista ML2 driver to support HA router
    - [4cd1b58] Refactor retry mechanism used in some DB operations
    - [86701a3] NSX QoS ext: RXTX factor can be decimal
    - [91b39ca] NSX-mh: fix default l2 gw connections
    - [884013c] Fixes Multiple External Networks issue with DVR
    - [d9c7888] Disable allowed_address_pair ip 0.0.0.0/0 ::/0 for ipset
    - [f11aa03] L3 agent should do report state before full sync at start
    - [44cb3c1] Hyper-V: Fixes Security Group Driver ICMPv6 rules
    - [53f238e] Fixes Hyper-V agent stateful security group rules
    - [ea63062] Fixes sync between Arista ML2 driver and EOS
    - [f434e7b] Process port IP requests before subnet requests
    - [cf8f5c9] Match order of iptables arguments to iptables-save
    - [11e4166] Persist DHCP leases to a local database
    - [1e6c2ed] ML2: Change port status only when it's bound to the host
    - [0325b98] Set IPset hash type to 'net' instead of 'ip'
    - [0d0675b] Fixes floating IP regression with multiple routers
    - [036133f] Router is not unscheduled when the last port is deleted
    - [9b18228] Remove locking from network and subnet delete op
    - [3017406] Fixes race condition and boosts the scheduling performance
    - [17850aa] Don't resync on DHCP agent setup failure
    - [59b9735] tests: confirm that _output_hosts_file does not log too often
    - [6d3d622] Ensure metadata network works with DVR
    - [aafe03f] Defer creation of router JSON in get_routers RPC
    - [4a69a64] Remove double queries in l3 DB get methods
    - [3fbb39c] Set loading strategy to joined for Routerport/Port
    - [fc0ae03] VMware NSX: Fix DVR operations
    - [96d472d] Return from check_ports_exist_on_l3agent if no subnet found
    - [6f6d861] Missing entry points for cisco apic topology agents
    - [1dcb072] Fixes Hyper-V agent port disconnect issue
    - [6687864] Fixes Hyper-V 2008 R2 agent VLAN Settings issue
  * d/neutron-plugin-cisco.install: Install neutron-cisco-apic-host-agent
    and neutron-cisco-apic-service-agent.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 20 Nov 2015 15:34:02 -0500
