=== neutron/plugins/vmware/requirements.txt ===
vmware-nsx
