=== neutron/plugins/ml2/drivers/ofagent/requirements.txt ===
networking-ofagent>=2015.1,<2015.2
