=== debian/control ===
--- 
+++ 
@@ -3,51 +3,66 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Chuck Short <zulcss@ubuntu.com>
-Build-Depends: debhelper (>= 8.0.0), python-all (>= 2.6)
+Build-Depends:
+ debhelper (>= 9~),
+ dh-systemd,
+ openstack-pkg-tools (>= 21ubuntu4~),
+ python-all (>= 2.6)
 Build-Depends-Indep:
- alembic (>= 0.6.4),
- python-anyjson (>= 0.3.3),
- python-babel (>= 1.3),
- python-cliff (>= 1.6.0),
- python-coverage,
- python-eventlet (>= 0.13.0-1ubuntu3.1~),
+ alembic (>= 0.7.2),
+ python-cliff (>= 1.10.1),
+ python-coverage (>= 3.6),
+ python-eventlet (>= 0.16.1),
  python-fixtures (>= 0.3.14),
  python-greenlet (>= 0.3.2),
- python-hacking (>= 0.9.2),
+ python-hacking (>= 0.10.0),
  python-httplib2 (>= 0.7.5),
  python-iso8601 (>= 0.1.9),
- python-jinja2,
+ python-jinja2 (>= 2.6),
  python-jsonrpclib,
- python-keystoneclient (>= 1:0.10.0),
- python-keystonemiddleware (>= 1.0.0),
+ python-keystoneclient (>= 1:1.1.0),
+ python-keystonemiddleware (>= 1.5.0),
  python-mock (>= 1.0),
  python-netaddr (>= 0.7.12),
- python-neutronclient (>= 1:2.3.6),
+ python-neutronclient (>= 1:2.3.11),
  python-novaclient (>= 1:2.18.0),
- python-oslo.config (>= 1:1.4.0.0~a3),
- python-oslo.db (>= 0.4.0),
- python-oslo.messaging (>= 1.4.0.0~a3),
- python-oslo.rootwrap (>= 1.3.0.0~a1),
+ python-oslo-concurrency (>= 1.8.0),
+ python-oslo-config (>= 1:1.9.3),
+ python-oslo-context (>= 0.2.0),
+ python-oslo-db (>= 1.7.0),
+ python-oslo-i18n (>= 1.5.0),
+ python-oslo-log (>= 1.0.0),
+ python-oslo-messaging (>= 1.8.0),
+ python-oslo-middleware (>= 1.0.0),
+ python-oslo-rootwrap (>= 1.6.0),
+ python-oslo-serialization (>= 1.4.0),
+ python-oslo-utils (>= 1.4.0),
+ python-oslosphinx (>= 2.2.0),
+ python-oslotest (>= 1:1.2.0),
  python-paste,
- python-pastedeploy,
+ python-pastedeploy (>= 1.5.0),
  python-pbr (>= 0.6),
- python-requests (>= 1.2.1),
- python-requests-mock,
+ python-requests (>= 2.2.0),
+ python-requests-mock (>= 0.5.1),
+ python-retrying (>= 1.2.3),
  python-routes (>= 1.12.3),
  python-setuptools,
  python-simplejson,
- python-six (>= 1.7.0),
- python-sqlalchemy (>= 0.8.4),
- python-stevedore (>= 0.14),
- python-testtools (>= 0.9.34),
+ python-six (>= 1.9.0),
+ python-sphinx (>= 1.1.2),
+ python-sqlalchemy (>= 0.9.7),
+ python-stevedore (>= 1.3.0),
+ python-subunit (>= 0.0.18),
+ python-tempest-lib (>= 0.3.0),
+ python-testscenarios (>= 0.4),
+ python-testtools (>= 0.9.36),
  python-webob (>= 1.2.3),
  python-webtest (>= 2.0),
- subunit,
- testrepository ( >= 0.0.18)
+ testrepository ( >= 0.0.18),
 XS-Python-Version: >= 2.6
-Standards-Version: 3.9.4
-Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/neutron/juno/files
-Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/neutron/juno
+Standards-Version: 3.9.6
+Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/neutron/kilo/files
+Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/neutron/kilo
 XS-Testsuite: autopkgtest
 
 Package: neutron-server
@@ -79,6 +94,7 @@
  adduser,
  ipset,
  python-neutron (= ${source:Version}),
+ python-neutron-fwaas,
  ${misc:Depends},
  ${python:Depends}
 Breaks:
@@ -96,6 +112,7 @@
  dynamically request and configure virtual networks. These networks
  connect "interfaces" from other OpenStack services (e.g., virtual NICs
  from Nova VMs). The Neutron API supports extensions to provide
+ python-pbr (>= 0.6),
  advanced network capabilities (e.g., QoS, ACLs, network monitoring,
  etc.)
  .
@@ -209,28 +226,6 @@
  .
  This package provides the BigSwitch plugin agent.
 
-Package: neutron-plugin-hyperv
-Architecture: all
-Provides: neutron-plugin
-Depends:
- neutron-common (= ${source:Version}),
- ${misc:Depends},
- ${python:Depends},
- ${shlibs:Depends}
-Breaks: quantum-plugin-hyperv ( << 1:2013.2~b2-0ubuntu1~ )
-Replaces: quantum-plugin-hyperv ( << 1:2013.2~b2-0ubuntu1~ )
-Description: Neutron is a virtual network service for Openstack - Hyper-V plugin
- Neutron is a virtual network service for Openstack, and a part of
- Netstack. Just like OpenStack Nova provides an API to dynamically
- request and configure virtual servers, Neutron provides an API to
- dynamically request and configure virtual networks. These networks
- connect "interfaces" from other OpenStack services (e.g., virtual NICs
- from Nova VMs). The Neutron API supports extensions to provide
- advanced network capabilities (e.g., QoS, ACLs, network monitoring,
- etc.)
- .
- This package provides the Hyper-V plugin.
-
 Package: neutron-plugin-brocade
 Architecture: all
 Provides: neutron-plugin
@@ -308,3 +303,9 @@
 Breaks: neutron-plugin-nicira ( << 1:2014.1~b2-0ubuntu7~ )
 Replaces: neutron-plugin-nicira ( << 1:2014.1~b2-0ubuntu7~ )
 Description: Neutron is a virtual network service for Openstack - VMware plugin
+ Neutron is a virtual network service for Openstack, and a part of
+ Netstack. Just like OpenStack Nova provides an API to dynamically
+ request and configure virtual servers, Neutron provides an API to
+ dynamically request and configure virtual networks. These networks
+ connect "interfaces" from other OpenStack services (e.g., virtual NICs
+ from Nova VMs). The Neutron API supports extensions to provide
