## neutron 2015.1.0

=== requirements.txt ===
--- 
+++ 
@@ -12,13 +12,13 @@
 requests>=2.2.0,!=2.4.0
 jsonrpclib
 Jinja2>=2.6  # BSD License (3 clause)
-keystonemiddleware>=1.5.0
+keystonemiddleware>=1.5.0,<1.6.0
 netaddr>=0.7.12
-python-neutronclient>=2.3.11,<3
+python-neutronclient>=2.3.11,<2.5.0
 retrying>=1.2.3,!=1.3.0 # Apache-2.0
 SQLAlchemy>=0.9.7,<=0.9.99
 WebOb>=1.2.3
-python-keystoneclient>=1.1.0
+python-keystoneclient>=1.1.0,<1.4.0
 alembic>=0.7.2
 six>=1.9.0
 stevedore>=1.3.0,<1.4.0  # Apache-2.0
@@ -34,4 +34,4 @@
 oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
 oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
 
-python-novaclient>=2.22.0
+python-novaclient>=2.22.0,<2.24.0
